> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Glossary

> Glossary endpoints: Create Glossary, Get Tree View, Get Glossary, Get Glossaries, Update Glossary, Delete Glossary

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Glossary",
            "description": "Glossary endpoints: Create Glossary, Get Tree View, Get Glossary, Get Glossaries, Update Glossary, Delete Glossary",
            "url": "https://docs.dqlabs.ai/api-reference/governance/glossary",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Create Glossary">
    `POST /api/v1/governance/glossary`

    Create a new glossary

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Create a new glossary",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Tree View">
    `POST /api/v1/governance/glossary/tree-view`

    Get tree view of all glossaries, categories, and terms

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="id" type="string">
        Example: `"e624550a-c67b-4593-86f0-782c37c32e5d"`.
      </ResponseField>

      <ResponseField name="name" type="string">
        Example: `"Logistics Glossary"`.
      </ResponseField>

      <ResponseField name="type" type="string">
        Example: `"glossary"`.
      </ResponseField>

      <ResponseField name="parent_id" type="string" />

      <ResponseField name="glossary_category_id" type="string" />

      <ResponseField name="glossary_id" type="string" />

      <ResponseField name="domain" type="object[]" />
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary/tree-view" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get tree view of all glossaries, categories, and terms",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Glossary">
    `GET /api/v1/governance/glossary/{glossaryId}`

    Get a glossary by ID

    **Path Parameters**

    <ParamField path="glossaryId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="name" type="string">
        Example: `"Asset Management Glossary"`.
      </ResponseField>

      <ResponseField name="description" type="string">
        Example: `"Name of the manufacturer who originally produced the equipment asset."`.
      </ResponseField>

      <ResponseField name="source" type="string" />

      <ResponseField name="parent_id" type="string" />

      <ResponseField name="domain_id" type="string" />

      <ResponseField name="qualified_name" type="string" />

      <ResponseField name="status" type="string">
        Example: `"PENDING"`.
      </ResponseField>

      <ResponseField name="total_conversations" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="total_likes" type="string" />

      <ResponseField name="total_dislikes" type="string" />

      <ResponseField name="total_views" type="integer">
        Example: `2`.
      </ResponseField>

      <ResponseField name="owner" type="string" />

      <ResponseField name="user" type="string" />

      <ResponseField name="is_active" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="is_deleted" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="definition" type="string" />

      <ResponseField name="context" type="string" />

      <ResponseField name="who_should_use_this" type="string" />

      <ResponseField name="id" type="string">
        Example: `"88fb80e0-c0af-4c27-9730-50057429e36c"`.
      </ResponseField>

      <ResponseField name="created_at" type="string">
        Example: `"2026-09-20T08:11:10.289476Z"`.
      </ResponseField>

      <ResponseField name="modified_at" type="string">
        Example: `"2026-09-21T06:39:16.466315Z"`.
      </ResponseField>

      <ResponseField name="created_by" type="string">
        Example: `"85b88faf-5037-4de7-8a6e-ab61baed84a5"`.
      </ResponseField>

      <ResponseField name="modified_by" type="string" />

      <ResponseField name="parents" type="object[]" />

      <ResponseField name="domain" type="object[]" />

      <ResponseField name="viewers" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"08ba2090-a236-4538-a671-fca112ca8ad2"`.
        </ResponseField>

        <ResponseField name="viewed_at" type="string">
          Example: `"2026-09-21T10:32:24.199560+00:00"`.
        </ResponseField>

        <ResponseField name="name" type="string" />

        <ResponseField name="email" type="string">
          Example: `"rejeesh@dqlabs.ai"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="context_freshness" type="object">
        <ResponseField name="description" type="string" />

        <ResponseField name="owner_verified" type="string" />
      </ResponseField>

      <ResponseField name="recent_conversations" type="string" />
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary/{glossaryId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get a glossary by ID",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "name": "Asset Management Glossary",
        "description": "Name of the manufacturer who originally produced the equipment asset.",
        "source": null,
        "parent_id": null,
        "domain_id": null,
        "qualified_name": null,
        "status": "PENDING",
        "total_conversations": 0,
        "total_likes": null,
        "total_dislikes": null,
        "total_views": 2,
        "owner": null,
        "user": null,
        "is_active": true,
        "is_deleted": false,
        "definition": null,
        "context": null,
        "who_should_use_this": null,
        "id": "88fb80e0-c0af-4c27-9730-50057429e36c",
        "created_at": "2026-09-20T08:11:10.289476Z",
        "modified_at": "2026-09-21T06:39:16.466315Z",
        "created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
        "modified_by": null,
        "parents": [],
        "domain": [],
        "viewers": [
          {
            "id": "08ba2090-a236-4538-a671-fca112ca8ad2",
            "viewed_at": "2026-09-21T10:32:24.199560+00:00",
            "name": null,
            "email": "rejeesh@dqlabs.ai"
          }
        ],
        "context_freshness": {
          "description": null,
          "owner_verified": null
        },
        "recent_conversations": null
      }
    }
    ```
  </Tab>

  <Tab title="Get Glossaries">
    `POST /api/v1/governance/glossary/list`

    Get glossaries with optional filtering

    **Request Body**

    <ParamField body="pagination" type="object">
      <ParamField body="page" type="integer">
        Example: `1`.
      </ParamField>

      <ParamField body="pageSize" type="integer">
        Example: `10`.
      </ParamField>
    </ParamField>

    <ParamField body="sorting" type="object[]" />

    <ParamField body="filters" type="object[]" />

    <ParamField body="search" type="string">
      Example: `""`.
    </ParamField>

    <ParamField body="export" type="boolean">
      Example: `false`.
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="name" type="string">
          Example: `"Asset Management Glossary"`.
        </ResponseField>

        <ResponseField name="description" type="string">
          Example: `"Name of the manufacturer who originally produced the equipment asset."`.
        </ResponseField>

        <ResponseField name="status" type="string">
          Example: `"PENDING"`.
        </ResponseField>

        <ResponseField name="total_conversations" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="total_views" type="integer">
          Example: `1`.
        </ResponseField>

        <ResponseField name="is_active" type="boolean">
          Example: `true`.
        </ResponseField>

        <ResponseField name="is_deleted" type="boolean">
          Example: `false`.
        </ResponseField>

        <ResponseField name="id" type="string">
          Example: `"88fb80e0-c0af-4c27-9730-50057429e36c"`.
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-20T08:11:10.289476Z"`.
        </ResponseField>

        <ResponseField name="modified_at" type="string">
          Example: `"2026-09-20T11:53:07.791397Z"`.
        </ResponseField>

        <ResponseField name="created_by" type="string">
          Example: `"85b88faf-5037-4de7-8a6e-ab61baed84a5"`.
        </ResponseField>

        <ResponseField name="domain" type="object[]" />

        <ResponseField name="viewers" type="object[]" />
      </ResponseField>

      <ResponseField name="total_count" type="integer">
        Example: `15`.
      </ResponseField>

      <ResponseField name="metrics" type="object[]">
        <ResponseField name="title" type="string">
          Example: `"ALL"`.
        </ResponseField>

        <ResponseField name="value" type="integer">
          Example: `15`.
        </ResponseField>

        <ResponseField name="trend" type="string">
          Example: `"up"`.
        </ResponseField>

        <ResponseField name="trendValue" type="string">
          Example: `"0"`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"glossary"`.
        </ResponseField>
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary/list" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{
        "pagination": {
          "page": 1,
          "pageSize": 10
        },
        "sorting": [],
        "filters": [],
        "search": "",
        "export": false
      }'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get glossaries with optional filtering",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "name": "Asset Management Glossary",
            "description": "Name of the manufacturer who originally produced the equipment asset.",
            "status": "PENDING",
            "total_conversations": 0,
            "total_views": 1,
            "is_active": true,
            "is_deleted": false,
            "id": "88fb80e0-c0af-4c27-9730-50057429e36c",
            "created_at": "2026-09-20T08:11:10.289476Z",
            "modified_at": "2026-09-20T11:53:07.791397Z",
            "created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
            "domain": [],
            "viewers": []
          }
        ],
        "total_count": 15,
        "metrics": [
          {
            "title": "ALL",
            "value": 15,
            "trend": "up",
            "trendValue": "0",
            "type": "glossary"
          }
        ]
      }
    }
    ```
  </Tab>

  <Tab title="Update Glossary">
    `PUT /api/v1/governance/glossary/{glossaryId}`

    Update a glossary

    **Path Parameters**

    <ParamField path="glossaryId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary/{glossaryId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update a glossary",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Delete Glossary">
    `DELETE /api/v1/governance/glossary/{glossaryId}`

    Delete a glossary

    **Path Parameters**

    <ParamField path="glossaryId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/glossary/{glossaryId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Delete a glossary",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>
</Tabs>
